Bug 214935 - [Symantec RHEL4.5 feat] svclib_filesystem does not contain vxfs entry for remounting
Summary: [Symantec RHEL4.5 feat] svclib_filesystem does not contain vxfs entry for rem...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager   
(Show other bugs)
Version: 4
Hardware: All Linux
medium
urgent
Target Milestone: ---
Assignee: Marek Grac
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Documentation, EasyFix, FutureFeature
Depends On:
Blocks: 196060 214936
TreeView+ depends on / blocked
 
Reported: 2006-11-10 04:48 UTC by Andrius Benokraitis
Modified: 2015-07-14 04:25 UTC (History)
6 users (show)

Fixed In Version: RHBA-2007:0149
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-15 16:48:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrius Benokraitis 2006-11-10 04:48:05 UTC
Description of problem:
A customer a client would like to run RHCS 3.0 and Veritas Filesystem 4.0
(vxfs).  They would like to have Cluster Suite manage the failing over of the
filesystem, but when they choose the vxfs filesystem, nothing happens.

Version-Release number of selected component (if applicable): ALL RHEL 3/4/5

How reproducible: Always

Steps to Reproduce:
(a) start clumanager on both nodes
(b) disable the service
(c) edit the configuration and manually change the file system type to
vxfs & increment the config_viewnumber
(d) run 'service clumanager reload' 
  
Actual results:
Without an edited configuration file
(/usr/lib/clumanager/services/svclib_filesystem), nothing.

Expected results:
mount -t vxfs

Additional info:


Index: svclib_filesystem
===================================================================
RCS file: /cvs/devel/clumanager/src/services/svclib_filesystem,v
retrieving revision 1.21
diff -u -r1.21 svclib_filesystem
--- svclib_filesystem    20 Jul 2006 13:31:14 -0000    1.21
+++ svclib_filesystem    10 Oct 2006 14:32:50 -0000
@@ -427,6 +427,7 @@
         jfs)      typeset fsck_needed="" ;;
         xfs)      typeset fsck_needed="" ;;
         gfs)      typeset fsck_needed="" ;;
+       vxfs)      typeset fsck_needed="" ;;
         ext2)     typeset fsck_needed=yes ;;
         minix)    typeset fsck_needed=yes ;;
         vfat)     typeset fsck_needed=yes ;;

Comment 2 Andrius Benokraitis 2007-01-11 17:54:42 UTC
Marek, what's the status of this? Has this been committed?

Comment 3 Andrius Benokraitis 2007-02-13 15:05:59 UTC
Marek, what's the status of this? Has this been committed?

Comment 4 Lon Hohberger 2007-02-13 15:42:52 UTC
diff -u -r1.1.2.12 clusterfs.sh
--- clusterfs.sh        27 Nov 2006 22:12:27 -0000      1.1.2.12
+++ clusterfs.sh        13 Feb 2007 15:42:31 -0000
@@ -276,7 +276,7 @@
        [ -z "$OCF_RESKEY_fstype" ] && return $OCF_SUCCESS
 
        case $OCF_RESKEY_fstype in
-       gfs)
+       gfs|vxfs)
                return $OCF_SUCCESS
                ;;
        *)


Comment 5 Lon Hohberger 2007-02-13 15:45:09 UTC
Actually, that's wrong.

Comment 6 Lon Hohberger 2007-02-13 15:46:29 UTC
diff -u -r1.4.2.19 fs.sh
--- fs.sh       13 Dec 2006 18:28:41 -0000      1.4.2.19
+++ fs.sh       13 Feb 2007 15:45:55 -0000
@@ -320,7 +320,7 @@
        [ -z "$OCF_RESKEY_fstype" ] && return 0
 
        case $OCF_RESKEY_fstype in
-       ext2|ext3|jfs|xfs|reiserfs|vfat|tmpfs)
+       ext2|ext3|jfs|xfs|reiserfs|vfat|tmpfs|vxfs)
                return 0
                ;;
        *)


Comment 7 Lon Hohberger 2007-02-13 15:51:59 UTC
Patch agsinst fs.sh applied to RHEL4 branch

Comment 10 Jay Turner 2007-05-15 17:47:26 UTC
Fix confirmed with rgmanager-1.9.68-1.

Comment 11 Jay Turner 2007-05-15 17:48:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0148.html


Note You need to log in before you can comment on or make changes to this bug.